Frame(3m17n)

NAME
m17nFrame - Frame: A frame is an object corresponding to the graphic device.

  Variables: Keys of frame parameter
These are the symbols to use in a parameter to create a frame. See the function mframe() for details.

Mdevice, Mdisplay, Mscreen, Mdrawable, Mdepth, and Mcolormap are also keys of a frame property.
MSymbol Mdevice
MSymbol Mdisplay
MSymbol Mscreen
MSymbol Mdrawable
MSymbol Mdepth
MSymbol Mcolormap
MSymbol Mwidget
MSymbol Mgd

  Variables: Keys of frame property
These are the symbols to use as an argument to the function mframe_get_prop().
MSymbol Mfont
MSymbol Mfont_width
MSymbol Mfont_ascent
MSymbol Mfont_descent

  Typedefs
typedef struct MFrame MFrame
Type of frames.

  Functions
MFrame * mframe (MPlist *plist)
Create a new frame.
void * mframe_get_prop (MFrame *frame, MSymbol key)
Return property value of frame.

  Variables
MFrame * mframe_default
The default frame.

Detailed Description

A frame is an object corresponding to the graphic device.

A frame is an object of the type MFrame to hold various information about each display/input device. Almost all m17n GUI functions require a pointer to a frame as an argument.

Typedef Documentation

  typedef struct MFrame MFrame

Type of frames.

The type MFrame is for a frame object. Each frame holds various information about the corresponding physical display/input device.

The internal structure of the type MFrame is concealed from an application program, and its contents depend on the window system in use. In the m17n-X library, it contains the information about display and screen in the X Window System.

Variable Documentation

  MFrame* mframe_default

The default frame.

The external variable mframe_default contains a pointer to the default frame that is created by the first call of mframe().

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.